package com.qmth.teachcloud.common.bean.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.enums.DataPermissionTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 数据权限信息
 * @Author: CaoZixuan
 * @Date: 2022-12-06
 */
public class DataPermissionInfo implements Serializable {
    @ApiModelProperty("权限表id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long privilegeId;

    @ApiModelProperty("数据权限类型")
    private DataPermissionTypeEnum dataPermissionType;

    public Long getPrivilegeId() {
        return privilegeId;
    }

    public void setPrivilegeId(Long privilegeId) {
        this.privilegeId = privilegeId;
    }

    public DataPermissionTypeEnum getDataPermissionType() {
        return dataPermissionType;
    }

    public void setDataPermissionType(DataPermissionTypeEnum dataPermissionType) {
        this.dataPermissionType = dataPermissionType;
    }
}
